#!/bin/bash

set -e
set -x

# Test <abstractions/gstreamer1.0> in malicious ways
# Here we test that an attacker cannot access files we mean not to be accessible

# Precondition
test ! -e $HOME/_file_which_do_not_exist_

# This should not be accessible and auditd should complain
touch $HOME/_file_which_do_not_exist_ || true
test ! -e $HOME/_file_which_do_not_exist_

# This should not be accessible and auditd should complain
cat $HOME/.bash_history || true

# This should not be accessible and auditd should complain
rm -f $HOME/.bash_history || true
